%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define glib2_version 2.2.1
%define pango_version 1.2.1
%define gtk2_version 2.2.1
%define libgnomeui_version 2.2.0.1
%define eel2_version 2.2.2
%define libxml2_version 2.5.7
%define eog_version 2.2.1
%define gail_version 1.2.0
%define gnome_desktop_version 2.2.1
%define gnome_vfs2_version 2.2.3
%define scrollkeeper_version 0.3.11

Name:		nautilus
Summary:        Nautilus is a file manager for GNOME
Version: 	2.2.2
Release:        2
Copyright: 	GPL
Group:          User Interface/Desktops
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}-%{version}.tar.bz2

Patch0:		nautilus-2.2.2-aix.patch
Patch1:		nautilus-2.2.2-autotools.patch

URL: 		http://www.gnome.org
BuildRoot:	/var/tmp/%{name}-%{version}-root

PreReq:         scrollkeeper >= %{scrollkeeper_version}
Requires:       eog >= %{eog_version}
Requires:       gnome-vfs2 >= %{gnome_vfs2_version}
Requires:       eel2 >= %{eel2_version}

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	pango-devel >= %{pango_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:	libxml2-devel >= %{libxml2_version}
BuildRequires:  eel2-devel >= %{eel2_version}
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires:  gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires:  librsvg2
BuildRequires:  intltool
# BuildRequires:  libtool >= 1.4.2-10

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/nautilus-2.2.2-aix.patch
$PATCH -p2 -s < %{_sourcedir}/nautilus-2.2.2-autotools.patch


%build
PATH=%{_bindir}:$PATH CPPFLAGS="-I%{_includedir}" \
LDFLAGS="-L%{_libdir} -lpthreads" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
./configure --prefix=%{_prefix} --enable-hardware
G_CHARSET_ALIAS=%{_libdir}/charset.alias make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%post

export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="apps_nautilus_preferences.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files  
%defattr(-,root,system)
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB ChangeLog NEWS README

%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/bonobo/*.a
%{_libdir}/bonobo/*.la
%{_libdir}/bonobo/servers
%{_libdir}/pkgconfig/*
%{_datadir}/gnome-2.0
%{_datadir}/nautilus
%{_datadir}/idl
%{_datadir}/pixmaps
%{_datadir}/applications
%{_libdir}/locale/*/LC_MESSAGES/nautilus.mo
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/X11/*
%{_includedir}/libnautilus/*

/usr/bin/*
/usr/lib/lib*.a
/usr/include/*
